Model APIs
Get Model API version build logs
Retrieves the build logs for a Model API Version.
GET
/
api
/
modelServing
/
v1
/
modelApis
/
{modelApiId}
/
versions
/
{modelApiVersionId}
/
buildLogs
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"logs": [
{
"log": "<string>",
"streamType": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"timeNano": 123,
"timestamp": 123
}
],
"modelId": "<string>",
"modelVersionId": "<string>",
"status": "<string>",
"buildId": "<string>",
"sinceTimeNano": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the Model API to retrieve the build logs for.
The id of the Model API Version to retrieve the build logs for.
Query Parameters
build Id of the model API to return build logs for.
The epoch time in nanoseconds to start fetching from, such as "1543538813745986325". "0" by default and will typically be used for a timestamp-based offset log fetching strategy.
Response
200 - application/json
The build logs for the given Model API Version.
The build logs.
Show child attributes
Show child attributes
The id of the Model API
The id of the Model API Version
The status of the build.
The id of the build of the Model API Version
The start date of the logs.
Was this page helpful?
⌘I
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"logs": [
{
"log": "<string>",
"streamType": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"timeNano": 123,
"timestamp": 123
}
],
"modelId": "<string>",
"modelVersionId": "<string>",
"status": "<string>",
"buildId": "<string>",
"sinceTimeNano": "<string>"
}